
Infrastructure - Task #1580

Feature # 1577 (Closed): use tables for storing System Metadata in Metacat

modify all dataone & native services in metacat to no longer store sysmeta xml

2011-05-23 18:12 - Ben Leinfelder

Status: Closed Start date: 2011-05-23

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-24 23:35 - Ben Leinfelder

No longer storing XML documents that contain system metadata.

Our tests currently do not exercise every facet of system metadata (accessPolicy, replication), but I have them passing as is using this new

implementation. The systemMetadata table fields were a good start and the other tables (enumerated in subtasks) will store the rest of the elements

required.

#2 - 2011-05-24 23:39 - Ben Leinfelder

- Status changed from New to Closed
